LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-02-2009, 05:35 PM   #1
iochinome
Member
 
Registered: Mar 2009
Posts: 32

Rep: Reputation: 15
FindPkgConfig vs. PKGCONFIG


So i am trying to install libwebcam. whenever i tell the terminal
sudo cmake ..

it does it, apparently, but then tells me:
WARNING: you are using 'PKGCONFIG' macro use FindPkgConfig

and for some other reasons, my installation is not working. how do i install the new, non-obsolete one, or is this not even a problem?

thanks!
 
Old 04-02-2009, 10:51 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,627

Rep: Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651Reputation: 2651
first (1)what linux distro are you using (2)and what version of auto tools and cmake are installed
(3) what version of libwebcam is it
http://www.quickcamteam.net/software/libwebcam
svn
libwebcam 0.1.1
or what
 
Old 04-03-2009, 03:46 PM   #3
iochinome
Member
 
Registered: Mar 2009
Posts: 32

Original Poster
Rep: Reputation: 15
well, the linux distro is ubuntu 8.10, the kernel is 2.6.27-11-generic and i have libwebcam-0.1.1

does that help?

thanks!
 
Old 04-04-2009, 01:57 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,518

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
Quote:
WARNING: you are using 'PKGCONFIG' macro use FindPkgConfig
The warning is just a peculiarity ( a bug ? ) with 'cmake-2.6.0'
( later cmake versions don't do it ). Not an error, just a warning.

If you want to try out a later version of libwebcam, ( 0.17 ? )
please do the command
svn co http://svn.quickcamteam.net/svn/qct/Linux/
getting you a folder Linux/ in your "/home/<username>

And please use Google, keyword .. libwebcam linux ..(or .. libwebcam ubuntu ..)
and find
http://forums.quickcamteam.net/forumdisplay.php?fid=7

http://forums.quickcamteam.net/showthread.php?tid=648
> click "Next Newest" at the bottom of the pages to see all
posts in the thread.

May be you will find a solution.
.....
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
What is the pkgconfig file? Treikayan Linux - Newbie 10 01-07-2009 09:05 AM
Help with PKGCONFIG! lazybowel Linux - Software 3 03-27-2007 03:42 AM
help with pkgconfig slzckboy Slackware 5 02-12-2006 04:36 AM
pkgconfig issues garretwp Linux - Software 3 04-09-2004 09:36 AM
pkgconfig TechHarper Linux - General 2 11-10-2003 05:47 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:23 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration